import Service, { IMessageHandle, IMsgObj, IServiceOption, CrossAppCommunicationEvent } from './service';
export default class MessageClient {
    service: Service;
    messageGroupMap: Map<string, IMessageHandle>;
    timeout: number;
    private _serverName;
    private _serverAddress;
    private _tempUserName;
    private _userName;
    private _registePromise;
    private _registeResolve;
    private _registeReject;
    constructor();
    registe(userName: string, serverName?: string): Promise<any>;
    unregiste(): this;
    start(): this;
    stop(): this;
    restart(): this;
    config(option: IServiceOption): this;
    onMessage(fn: IMessageHandle): this;
    removeMessageHandler(fn: IMessageHandle): this;
    postMessage(msg: IMsgObj, needReplay?: boolean): Promise<unknown>;
    _postMessage(msg: IMsgObj, needReplay?: boolean): Promise<unknown>;
    _registHandle(event: CrossAppCommunicationEvent): void;
}
