/**
 * 云桌面应用间通信协议以及通信消息类
 */
/**
 * Message 类定义
 * @params {string} from 消息发送方的应用实例Id
 * @params {string} to 消息接收方的应用实例Id
 * @params {string} title 消息主题
 * @params {any} body 发送的消息内容, 空消息可发送'',null,undefined
 * @params {number} [reply] 回复消息id，如果是回复某条消息，则有此属性
 */
export default class Message {
    /** 消息的自增长ID */
    id: string;
    /** 消息发送方的应用实例Id */
    from: string;
    /** 消息接收方的应用实例Id */
    to: string;
    /** 消息主题 */
    title: string;
    /** 发送的消息内容, 空消息可发送'',null,undefined */
    body: any;
    /** 回复的消息ID */
    reply: string | undefined;
    /** 消息组 */
    group: string | undefined;
    constructor(from: string, to: string, title: string, body: any, reply: string | undefined, group: string | undefined);
}
