(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var userId = 0;
    const USER_ID_PREFIX = 'cid_' + Math.floor(Math.random() * 1000) + '_' + Math.floor(Math.random() * 1000) + '_';
    class User {
        constructor(address, name) {
            if (!address) {
                throw new Error('user error: missing address');
            }
            if (!name) {
                throw new Error('user error: missing name');
            }
            this.id = USER_ID_PREFIX + (++userId);
            this.name = name;
            this.address = address;
        }
    }
    exports.default = User;
});
